
Name:           k3d
Version:        0.6.7.0
Release:        4%{?dist}
Summary:        A 3D Modeling, Animation and Rendering System

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.k-3d.org/
Source0:        http://dl.sourceforge.net/k3d/k3d-%{version}-src.tar.bz2
Patch0:         k3d-0.5.15.0-gl64.patch
Patch1:         k3d-0.6.6.0-vfs.patch
Patch2:         k3d-0.6.7.0-desktop.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       aqsis

BuildRequires:  desktop-file-utils
BuildRequires:  mesa-libGL-devel
BuildRequires:  expat-devel
BuildRequires:  libsigc++20-devel
BuildRequires:  gtkmm24-devel
BuildRequires:  gtkglext-devel
BuildRequires:  plib-devel
BuildRequires:  freetype-devel
BuildRequires:  python-devel
BuildRequires:  libgnome-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  OpenEXR-devel
BuildRequires:  libtiff-devel
BuildRequires:  ImageMagick-c++-devel
BuildRequires:  graphviz-devel
BuildRequires:  boost-devel
BuildRequires:  gts-devel
BuildRequires:  librsvg2
BuildRequires:  bzip2-devel
BuildRequires:  libtool

Requires(post):   /sbin/ldconfig
Requires(post):   desktop-file-utils
Requires(postun): /sbin/ldconfig
Requires(postun): desktop-file-utils


%description
K-3D is a complete 3D modeling, animation and rendering system. K-3D
features a robust, object oriented plugin architecture, designed to
scale to the needs of professional artists. It is designed from the
ground up to generate motion picture quality animation using RenderMan
compliant render engines.


%package devel
Summary:        Headers for rendering models written by K-3D
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description devel
This package contains the libraries and header files needed for
rendering a model written by K-3D.


%package examples
Summary:    Examples for K-3D
Group:      Development/Demos


%description examples
This package contains examples of K-3D documents.


%prep
%setup -q
%patch0 -p1 -b .gl64
%patch1 -p1 -b .vfs
%patch2 -p1 -b .desktop


%build
%configure --disable-static --with-external-boost
make %{?_smp_mflags}


%install

find -type f -regex '.*\.\(cpp\|h\|svg\)' -perm +111 -exec chmod -x {} ';'

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

desktop-file-install \
  --vendor fedora \
  --mode 644 \
  --delete-original \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/k3d.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications > /dev/null 2>&1 || :


%files
%defattr(-, root, root, -)
%doc AUTHORS COPYING NEWS README
%{_bindir}/k3d
%{_bindir}/k3d-[bd-z]*
%{_libdir}/libHapy.so.*
%{_libdir}/libk3dngui.so*
%{_libdir}/libk3dnui.so*
%{_libdir}/libk3dsdk.so.*
%{_libdir}/libsubdivision_surface.so.*
%{_libdir}/libsurface_polygonizer.so.*
%{_libdir}/k3d
%{_datadir}/applications/fedora-k3d.desktop
%dir %{_datadir}/k3d
%{_datadir}/k3d/*.k3d
%{_datadir}/k3d/fonts
%{_datadir}/k3d/icons
%{_datadir}/k3d/logo
%{_datadir}/k3d/lsystem
%{_datadir}/k3d/ngui
%{_datadir}/k3d/qtui
%{_datadir}/k3d/scripts
%{_datadir}/k3d/shaders
%{_datadir}/k3d/textures
%{_datadir}/k3d/tutorials
%{_mandir}/man1/k3d*


%files examples
%defattr(-, root, root, -)
%{_datadir}/k3d/documents


%files devel
%defattr(-, root, root, -)
%doc ChangeLog
%{_bindir}/k3d-config
%{_includedir}/k3d
%{_libdir}/libHapy.so
%{_libdir}/libk3dsdk.so
%{_libdir}/libsubdivision_surface.so
%{_libdir}/libsurface_polygonizer.so


%changelog
* Mon Oct 15 2007 Denis Leroy <denis@poolshark.org> - 0.6.7.0-4
- Rebuild for OpenEXR 1.6

* Tue Aug 28 2007 Denis Leroy <denis@poolshark.org> - 0.6.7.0-3
- Rebuild for expat 2.0

* Sat Aug  4 2007 Denis Leroy <denis@poolshark.localdomain> - 0.6.7.0-2
- Rebuild for newer boost library

* Mon Jul  9 2007 Denis Leroy <denis@poolshark.org> - 0.6.7.0-1
- Update to 0.6.7.0
- Removed patches that moved upstream
- Added gnome-vfs2-devel, fixed gnome-vfs2 missing config
- Fixed lib64 script to avoid autoreconf
- Added aqsis dependency
- Removed MultipleArgs from desktop file

* Fri Dec 29 2006 Denis Leroy <denis@poolshark.org> - 0.6.5.0-1
- Update to 0.6.5.0
- Added patch to fix x86_64 startup crash in viewport widget
- Added patch to fix python 2.5 API changes

* Mon Dec 11 2006 Denis Leroy <denis@poolshark.org> - 0.6.4.0-2
- Rebuild with python 2.5

* Thu Nov 23 2006 Denis Leroy <denis@poolshark.org> - 0.6.4.0-1
- Update to 0.6.4.0

* Tue Oct 10 2006 Denis Leroy <denis@poolshark.org> - 0.6.3.1-1
- Update to 0.6.3.1

* Mon Oct  9 2006 Denis Leroy <denis@poolshark.org> - 0.6.3.0-1
- Update to 0.6.3.0

* Thu Oct 05 2006 Christian Iseli <Christian.Iseli@licr.org> 0.6.2.0-2
 - rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Sun Sep 24 2006 Denis Leroy <denis@poolshark.org> - 0.6.2.0-1
- Update to 0.6.2.0

* Mon Sep 11 2006 Denis Leroy <denis@poolshark.org> - 0.6.1.0-2
- Rebuild against new OpenEXR version

* Wed Sep  6 2006 Denis Leroy <denis@poolshark.org> - 0.6.1.0-1
- Update to 0.6.1.0

* Mon Aug 28 2006 Denis Leroy <denis@poolshark.org> - 0.6.0.0-2
- FE6 Rebuild

* Wed Aug 23 2006 Denis Leroy <denis@poolshark.org> - 0.6.0.0-1
- Update to 0.6.0.0
- Split example documents into separate package

* Fri Aug 11 2006 Denis Leroy <denis@poolshark.org> - 0.5.16.0-3
- Added sample_document to devel pkg

* Thu Aug 10 2006 Denis Leroy <denis@poolshark.org> - 0.5.16.0-2
- Added ChangeLog to devel doc

* Sat Aug  5 2006 Denis Leroy <denis@poolshark.org> - 0.5.16.0-1
- Update to version 0.5.16.0

* Tue Aug  1 2006 Denis Leroy <denis@poolshark.org> - 0.5.15.0-3
- Recreated devel package

* Tue Aug  1 2006 Denis Leroy <denis@poolshark.org> - 0.5.15.0-2
- Cleaned up files sections

* Tue Jul 25 2006 root <denis@poolshark.org> - 0.5.15.0-1
- Update to 0.5.15.0
- Added patch to detect opengl correctly on x86_64

* Tue Mar  7 2006 Denis Leroy <denis@poolshark.org> - 0.5.0.39-1
- First version
